# class ProgressBase | Base class for IO progress dialogs. More...
Definition | `#include <progressbase.h>`
Inherits | QWidget (qt) [public ]
Inherited by | DefaultProgress, StatusbarProgress
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ProgressBase ( QWidget *parent )
- ~ProgressBase ()
- void setJob ( KIO::Job *job )
- void setJob ( KIO::CopyJob *job )
- void setJob ( KIO::DeleteJob *job )
- void setStopOnClose ( bool stopOnClose )
- void setOnlyClean ( bool onlyClean )

#### Public Slots

- void slotStop ()
- virtual void slotClean ()
- virtual void slotTotalSize ( KIO::Job*, unsigned long )
- virtual void slotTotalFiles ( KIO::Job*, unsigned long )
- virtual void slotTotalDirs ( KIO::Job*, unsigned long )
- virtual void slotProcessedSize ( KIO::Job*, unsigned long )
- virtual void slotProcessedFiles ( KIO::Job*, unsigned long )
- virtual void slotProcessedDirs ( KIO::Job*, unsigned long )
- virtual void slotSpeed ( KIO::Job*, unsigned long )
- virtual void slotPercent ( KIO::Job*, unsigned long )
- virtual void slotCopying ( KIO::Job*, const KURL&, const KURL& )
- virtual void slotMoving ( KIO::Job*, const KURL&, const KURL& )
- virtual void slotDeleting ( KIO::Job*, const KURL& )
- virtual void slotCreatingDir ( KIO::Job*, const KURL& )
- virtual void slotCanResume ( KIO::Job*, bool )

#### Signals

- void stopped ()

#### Protected Methods

- virtual void closeEvent ( QCloseEvent * )

#### Protected Slots

- void slotFinished ( KIO::Job* )

#### Protected Members

- KIO::Job* m_pJob
- bool m_bOnlyClean
- bool m_bStopOnClose

## Detailed Description

Base class for IO progress dialogs.

This class does all initialization stuff for progress, like connecting signals to slots. All slots are implemented as pure virtual methods.

All custom IO progress dialog should inherit this class. Add your GUI code to the constructor and implemement those virtual methods which you need in order to display progress.

E.g. StatusbarProgress only implements slotTotalSize(), slotPercent() and slotSpeed().

Custom progress dialog will be used like this :

     // create job
     CopyJob* job = KIO::copy(...);
     // create a dialog
     MyCustomProgress *customProgress;
     customProgress = new MyCustomProgress();
     // connect progress with job
     customProgress->setJob( job );
     ...

There is a special method setStopOnClose() that controls the behavior of the dialog.

ProgressBase ( QWidget *parent ) | ### ProgressBase

~ProgressBase () | ### ~ProgressBase

void setJob ( KIO::Job *job ) | ### setJob

void setJob ( KIO::CopyJob *job ) | ### setJob

void setJob ( KIO::DeleteJob *job ) | ### setJob

void setStopOnClose ( bool stopOnClose ) | ### setStopOnClose

void setOnlyClean ( bool onlyClean ) | ### setOnlyClean

void slotStop () | ### slotStop

[slot]

void slotClean () | ### slotClean

[virtual slot]

void slotTotalSize ( KIO::Job*, unsigned long ) | ### slotTotalSize

[virtual slot]

void slotTotalFiles ( KIO::Job*, unsigned long ) | ### slotTotalFiles

[virtual slot]

void slotTotalDirs ( KIO::Job*, unsigned long ) | ### slotTotalDirs

[virtual slot]

void slotProcessedSize ( KIO::Job*, unsigned long ) | ### slotProcessedSize

[virtual slot]

void slotProcessedFiles ( KIO::Job*, unsigned long ) | ### slotProcessedFiles

[virtual slot]

void slotProcessedDirs ( KIO::Job*, unsigned long ) | ### slotProcessedDirs

[virtual slot]

void slotSpeed ( KIO::Job*, unsigned long ) | ### slotSpeed

[virtual slot]

void slotPercent ( KIO::Job*, unsigned long ) | ### slotPercent

[virtual slot]

void slotCopying ( KIO::Job*, const KURL&, const KURL& ) | ### slotCopying

[virtual slot]

void slotMoving ( KIO::Job*, const KURL&, const KURL& ) | ### slotMoving

[virtual slot]

void slotDeleting ( KIO::Job*, const KURL& ) | ### slotDeleting

[virtual slot]

void slotCreatingDir ( KIO::Job*, const KURL& ) | ### slotCreatingDir

[virtual slot]

void slotCanResume ( KIO::Job*, bool ) | ### slotCanResume

[virtual slot]

void stopped () | ### stopped

[signal]

void slotFinished ( KIO::Job* ) | ### slotFinished

[protected slots slot]

void closeEvent ( QCloseEvent * ) | ### closeEvent

[protected virtual]

Reimplemented from QWidget.

KIO::Job* m_pJob | ### m_pJob

[protected]

bool m_bOnlyClean | ### m_bOnlyClean

[protected]

bool m_bStopOnClose | ### m_bStopOnClose

[protected]

- Author: Matej Koss <koss@miesto.sk>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.